if(isFile("Add-Ons/System_ReturnToBlockland/server.cs")) //some legacy RTB code. Seems to work with Glass.
{
	if(!$RTB::RTBR_ServerControl_Hook)
	exec("Add-Ons/System_ReturnToBlockland/hooks/serverControl.cs");

	RTB_registerPref("Enabled", "Auto Clear", "$Pref::AutoClear::enabled", "bool", "Script_AutoClear", 1, 0, 0);
	RTB_registerPref("Time to clear (minutes)", "Auto Clear", "$Pref::AutoClear::time", "int 1 10080", "Server_AFKKicker", 60, 0, 0);
}
else
{
	$Pref::AutoClear::enabled = 1;
	$Pref::AutoClear::time = 60;
}
deactivatepackage(autoClearPackage); //deactivate anything else named our name. THERE CAN ONLY BE ONE.
package autoClearPackage
{
	function startAutoClear()
	{
		if (!(Pref::AutoClear::enabled == 1)) //if we're not enabled then lie dormant
		{
			schedule(($Pref::AutoClear::time*0.833*60*1000), 0, autoClearWarnOne); 
			return;
		}
		
		schedule(($Pref::AutoClear::time*0.833*60*1000), 0, autoClearWarnOne); //5/6ths of the time
		talk("Bot/vehicle auto-clear started.");

	}

	function autoClearWarnOne()
	{

		if (!(Pref::AutoClear::enabled == 1))
		{
			schedule(($Pref::AutoClear::time*0.833*60*1000), 0, autoClearWarnOne); 
			return;
		}
		schedule($Pref::AutoClear::time*0.166*60*1000, 0, autoClearWarnTwo);
		talk("Warning - All vehicles & bots will be cleared in"SPC (($Pref::AutoClear::time*0.166)+1) SPC"minutes.");
	}
	function autoClearWarnTwo()
	{
	
		if (!(Pref::AutoClear::enabled == 1))
		{
			schedule(($Pref::AutoClear::time*0.833*60*1000), 0, autoClearWarnOne); 
			return;
		}
		schedule(60000, 0, clearVehicles);
		schedule(($Pref::AutoClear::time*0.833*60*1000), 0, autoClearWarnOne);
		talk("Warning - All vehicles & bots will be cleared in 1 minute. You can respawn them at no cost afterwards. A very small lag spike may occur.");
	}
	function clearVehicles() 
	{ 
		echo("The following errors are normal. Which is to say that my script is crappy. (hey, it works well enough.)");
		%groupCount = MainBrickGroup.getCount();
		for(%i = 0; %i < %groupCount; %i++)
		{
			%group = MainBrickGroup.getObject(%i);
			%count = %group.getCount();
			for(%j = 0; %j < %count; %j++)
			{
				%brick = %group.getObject(%j);
				if (%brick.Vehicle)
				{
					%brick.Vehicle.delete();
				}
			}
		}
	}
	
};
activatePackage(autoClearPackage);
startAutoClear(); //get it started
